Bug 102215 - N() Calc formula returns Err:529 if used as array formula on cell range with text
Summary: N() Calc formula returns Err:529 if used as array formula on cell range with ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.1 rc
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.2.3 target:5.2.2 target:5.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-09-15 20:05 UTC by jmontane
Modified: 2016-11-21 09:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Minimal spreadsheat showing N() array formula bug (10.37 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-09-15 20:05 UTC, jmontane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jmontane 2016-09-15 20:05:53 UTC
Created attachment 127346 [details]
Minimal spreadsheat showing N() array formula bug

If you apply N() Calc formula to a cell containing "text", then 0 is returned. It's fine.

But If you apply N() formula to a range of cells as array formula, and a cell in this rang has "text", then Err:529 is returned. It's wrong.
Comment 1 GerardF 2016-09-16 10:00:04 UTC
Confirmed with 5.3.0

Works correctly with 5.1.6
Comment 2 raal 2016-09-16 13:32:56 UTC
This seems to have begun at the below commit.
Adding Cc: to Eike; Could you possibly take a look at this one? Thanks


authorEike Rathke <erack@redhat.com>2016-06-15 14:45:32 (GMT) 
committer Eike Rathke <erack@redhat.com>2016-06-15 19:28:53 (GMT) 
commit 5795989729274cdf8a8e6e1a55fb7cf12ab7fe7d (patch)


a56e22d1927e9dc7b2ce0e6f700f9e232ce965ff is the first bad commit
commit a56e22d1927e9dc7b2ce0e6f700f9e232ce965ff
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Jun 15 14:07:09 2016 -0700
    source sha:5795989729274cdf8a8e6e1a55fb7cf12ab7fe7d
    source sha:5795989729274cdf8a8e6e1a55fb7cf12ab7fe7d
:040000 040000 cab65a7a1fa16fd325ef55ab417b987c64abc9e3 a1c2a1aec5a2f91ff0f87d19a805354b85b08050 M      instdir
git bisect log
# bad: [6380ca07b05f68dedcaa379302cfe1fa478571c4] source sha:60b74fe1775e647545d2da1fcc58a4c63ec18aa5
# good: [1f670510f08cb800cbae2a1dd6ea70d3542e4721] source sha:49c2b9808df8a6b197dec666dfc0cda6321a4306
git bisect start 'origin/master' 'oldest'
# good: [38f37b8ec1a2d199bb957cfd2581df7d1b273b74] source sha:c0da1080b61a1d51654fc34fdaeba373226065ff
git bisect good 38f37b8ec1a2d199bb957cfd2581df7d1b273b74
# good: [11ae494d8c566f23e0ef84ba0cc25fb1388b67f7] source sha:470cfa9860232ab70e017e6084d80f80d469555c
git bisect good 11ae494d8c566f23e0ef84ba0cc25fb1388b67f7
# good: [ee4cfd75d2452b8c416b4ec27358f7a905d6f5cf] source sha:aa544a002e534a313ad9dd365e80f052789d9963
git bisect good ee4cfd75d2452b8c416b4ec27358f7a905d6f5cf
# good: [d4576510090f82fe28ee9ee0a9e299fe2541f06c] source sha:7e55fbab6348c2a844fc7ecca8de61416db8fdae
git bisect good d4576510090f82fe28ee9ee0a9e299fe2541f06c
# good: [66576eb4aec7d7457a1cc903f4cd76081968e293] source sha:6f41a9b06219c2d8e176f84a5ae4b80b22dc9ce5
git bisect good 66576eb4aec7d7457a1cc903f4cd76081968e293
# good: [42dcfc9a41e0c227edba3df3a4a2d56e2485ed20] source sha:85e9cf628a209a9a8a1525996318f5f6eb77faa7
git bisect good 42dcfc9a41e0c227edba3df3a4a2d56e2485ed20
# good: [33b0b80706b0c46fa9e99bb8d0c5cbcfe6ce363e] source sha:c8e75854bf98c01b5762734cb6bbc9e56f0d15df
git bisect good 33b0b80706b0c46fa9e99bb8d0c5cbcfe6ce363e
# bad: [fcde65a74c8ec03a0e48135bc5815e45d9fb8563] source sha:c739cc104844893955dc9a4de2bf8050759703f2
git bisect bad fcde65a74c8ec03a0e48135bc5815e45d9fb8563
# bad: [ebf81675a60660be22a0789336cfdcb1c2414895] source sha:f528645eea6f3c8673f057e287b47c2269411c49
git bisect bad ebf81675a60660be22a0789336cfdcb1c2414895
# bad: [2c19e01d756567de6b16dbb2108b32c33bbaa636] source sha:ef952e6c9756c3b2bde7d82202fb32a905a14daa
git bisect bad 2c19e01d756567de6b16dbb2108b32c33bbaa636
# bad: [a56e22d1927e9dc7b2ce0e6f700f9e232ce965ff] source sha:5795989729274cdf8a8e6e1a55fb7cf12ab7fe7d
git bisect bad a56e22d1927e9dc7b2ce0e6f700f9e232ce965ff
# good: [c438a035ab65cd73fab13fb2ad2015bff0fd75c2] source sha:56c916992276baf374664d0bfca4181919b849f5
git bisect good c438a035ab65cd73fab13fb2ad2015bff0fd75c2
# first bad commit: [a56e22d1927e9dc7b2ce0e6f700f9e232ce965ff] source sha:5795989729274cdf8a8e6e1a55fb7cf12ab7fe7d
Comment 3 Eike Rathke 2016-09-19 15:29:24 UTC
Taking.
Comment 5 Commit Notification 2016-09-20 10:40:02 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d27c316dc7e3096f44c44465e87ff8136d70867&h=libreoffice-5-2

Resolves: tdf#102215 do not return coded double error for single matrix value

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-09-21 09:35:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=432595ba7e646bd91dcc2743aee8ff791c391748&h=libreoffice-5-2-2

Resolves: tdf#102215 do not return coded double error for single matrix value

It will be available in 5.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-11-21 09:51:25 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7a9c704892b9db0a3de65d5d20c02f2ed2215d0

update N() test case / test for bug tdf#102215

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.